import 'package:flutter/material.dart';
import 'package:permission_handler/permission_handler.dart';
import 'package:photo_gallery/photo_gallery.dart';

class AlbumsProvider extends ChangeNotifier{
  List<Album> albums;

  Future<void> getAlbums() async {
    await Permission.storage.request();

    final List<Album> imageAlbums = await PhotoGallery.listAlbums(
      mediumType: MediumType.image,
    );
    final List<Album> videoAlbums = await PhotoGallery.listAlbums(
      mediumType: MediumType.video,
    );

    albums = []..addAll(imageAlbums)..addAll(videoAlbums);

    notifyListeners();
  }

}