import 'package:flutter/material.dart';
import 'package:photo_gallery/photo_gallery.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

class ImagesProvider extends ChangeNotifier{
  List<Medium> mediaList;
  MediaPage page;
  var refreshController = RefreshController(initialRefresh: false);



  Future<void> getMediaList(album) async {
    page = await album.listMedia(skip: 0, take: 100);
    mediaList = page.items;
    notifyListeners();
  }

  Future<void> onLoading() async {
    if (page.isLast) {
      refreshController.loadNoData();
    } else {
      page = await page.nextPage();
      if (page == null || page.items == null || page.items.length <= 0) {
        refreshController.loadFailed();
      } else {
        mediaList.addAll(page.items);
        refreshController.loadComplete();
      }
    }
  }

}