import 'dart:typed_data';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_gallery_picker/src/widgets/IsLoadingWidget.dart';

class ImageThumbWidget extends StatelessWidget {
  final thumb;

  ImageThumbWidget({this.thumb});

  final ValueNotifier<List<int>> imageNotifier = ValueNotifier(null);

  @override
  Widget build(BuildContext context) {
    return ValueListenableBuilder(
      valueListenable: imageNotifier,
      builder: (context, image, child) {
        if (image == null) {
          thumb.getThumbnail().then((value) {
            imageNotifier.value = value;
          });
          return IsLoadingWidget();
        }

        return Container(
          child: Image.memory(
            Uint8List.fromList(image),
            fit: BoxFit.cover,
          ),
        );
      },
    );
  }
}
